PoolType (Apache Geode 1.9.1)
Date: 2019-08-30

org.apache.geode.cache.configuration

## Class PoolType

- java.lang.Object
- - org.apache.geode.cache.configuration.PoolType

-     @Experimental
      public class PoolType
      extends Object

  A "pool" element specifies a client to server connection pool.

  Java class for pool-type complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="pool-type">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice>
               <element name="locator" maxOccurs="unbounded">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <attribute name="host" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="port" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="server" maxOccurs="unbounded">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <attribute name="host" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="port" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
             </choice>
             <attribute name="subscription-timeout-multiplier" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="socket-connect-timeout" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="free-connection-timeout" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="load-conditioning-interval" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="min-connections" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="max-connections" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="retry-attempts" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="idle-timeout" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="ping-interval" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="read-timeout" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="server-group" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="socket-buffer-size" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="subscription-enabled" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="subscription-message-tracking-timeout" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="subscription-ack-interval" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="subscription-redundancy" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="statistic-interval" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="thread-local-connections" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="pr-single-hop-enabled" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="multiuser-authentication" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PoolType.Locator` Java class for anonymous complex type.
    `static class` | `PoolType.Server` Java class for anonymous complex type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `freeConnectionTimeout`
    `protected String` | `idleTimeout`
    `protected String` | `loadConditioningInterval`
    `protected List<PoolType.Locator>` | `locators`
    `protected String` | `maxConnections`
    `protected String` | `minConnections`
    `protected Boolean` | `multiuserAuthentication`
    `protected String` | `name`
    `protected String` | `pingInterval`
    `protected Boolean` | `prSingleHopEnabled`
    `protected String` | `readTimeout`
    `protected String` | `retryAttempts`
    `protected String` | `serverGroup`
    `protected List<PoolType.Server>` | `servers`
    `protected String` | `socketBufferSize`
    `protected String` | `socketConnectTimeout`
    `protected String` | `statisticInterval`
    `protected String` | `subscriptionAckInterval`
    `protected Boolean` | `subscriptionEnabled`
    `protected String` | `subscriptionMessageTrackingTimeout`
    `protected String` | `subscriptionRedundancy`
    `protected String` | `subscriptionTimeoutMultiplier`
    `protected Boolean` | `threadLocalConnections`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PoolType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFreeConnectionTimeout()` Gets the value of the freeConnectionTimeout property.
    `String` | `getIdleTimeout()` Gets the value of the idleTimeout property.
    `String` | `getLoadConditioningInterval()` Gets the value of the loadConditioningInterval property.
    `List<PoolType.Locator>` | `getLocators()` Gets the value of the locator property.
    `String` | `getMaxConnections()` Gets the value of the maxConnections property.
    `String` | `getMinConnections()` Gets the value of the minConnections property.
    `String` | `getName()` Gets the value of the name property.
    `String` | `getPingInterval()` Gets the value of the pingInterval property.
    `String` | `getReadTimeout()` Gets the value of the readTimeout property.
    `String` | `getRetryAttempts()` Gets the value of the retryAttempts property.
    `String` | `getServerGroup()` Gets the value of the serverGroup property.
    `List<PoolType.Server>` | `getServers()` Gets the value of the server property.
    `String` | `getSocketBufferSize()` Gets the value of the socketBufferSize property.
    `String` | `getSocketConnectTimeout()` Gets the value of the socketConnectTimeout property.
    `String` | `getStatisticInterval()` Gets the value of the statisticInterval property.
    `String` | `getSubscriptionAckInterval()` Gets the value of the subscriptionAckInterval property.
    `String` | `getSubscriptionMessageTrackingTimeout()` Gets the value of the subscriptionMessageTrackingTimeout property.
    `String` | `getSubscriptionRedundancy()` Gets the value of the subscriptionRedundancy property.
    `String` | `getSubscriptionTimeoutMultiplier()` Gets the value of the subscriptionTimeoutMultiplier property.
    `Boolean` | `isMultiuserAuthentication()` Gets the value of the multiuserAuthentication property.
    `Boolean` | `isPrSingleHopEnabled()` Gets the value of the prSingleHopEnabled property.
    `Boolean` | `isSubscriptionEnabled()` Gets the value of the subscriptionEnabled property.
    `Boolean` | `isThreadLocalConnections()` Gets the value of the threadLocalConnections property.
    `void` | `setFreeConnectionTimeout(String value)` Sets the value of the freeConnectionTimeout property.
    `void` | `setIdleTimeout(String value)` Sets the value of the idleTimeout property.
    `void` | `setLoadConditioningInterval(String value)` Sets the value of the loadConditioningInterval property.
    `void` | `setMaxConnections(String value)` Sets the value of the maxConnections property.
    `void` | `setMinConnections(String value)` Sets the value of the minConnections property.
    `void` | `setMultiuserAuthentication(Boolean value)` Sets the value of the multiuserAuthentication property.
    `void` | `setName(String value)` Sets the value of the name property.
    `void` | `setPingInterval(String value)` Sets the value of the pingInterval property.
    `void` | `setPrSingleHopEnabled(Boolean value)` Sets the value of the prSingleHopEnabled property.
    `void` | `setReadTimeout(String value)` Sets the value of the readTimeout property.
    `void` | `setRetryAttempts(String value)` Sets the value of the retryAttempts property.
    `void` | `setServerGroup(String value)` Sets the value of the serverGroup property.
    `void` | `setSocketBufferSize(String value)` Sets the value of the socketBufferSize property.
    `void` | `setSocketConnectTimeout(String value)` Sets the value of the socketConnectTimeout property.
    `void` | `setStatisticInterval(String value)` Sets the value of the statisticInterval property.
    `void` | `setSubscriptionAckInterval(String value)` Sets the value of the subscriptionAckInterval property.
    `void` | `setSubscriptionEnabled(Boolean value)` Sets the value of the subscriptionEnabled property.
    `void` | `setSubscriptionMessageTrackingTimeout(String value)` Sets the value of the subscriptionMessageTrackingTimeout property.
    `void` | `setSubscriptionRedundancy(String value)` Sets the value of the subscriptionRedundancy property.
    `void` | `setSubscriptionTimeoutMultiplier(String value)` Sets the value of the subscriptionTimeoutMultiplier property.
    `void` | `setThreadLocalConnections(Boolean value)` Sets the value of the threadLocalConnections property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### locators

          protected List<PoolType.Locator> locators

    - #### servers

          protected List<PoolType.Server> servers

    - #### subscriptionTimeoutMultiplier

          protected String subscriptionTimeoutMultiplier

    - #### socketConnectTimeout

          protected String socketConnectTimeout

    - #### freeConnectionTimeout

          protected String freeConnectionTimeout

    - #### loadConditioningInterval

          protected String loadConditioningInterval

    - #### minConnections

          protected String minConnections

    - #### maxConnections

          protected String maxConnections

    - #### retryAttempts

          protected String retryAttempts

    - #### idleTimeout

          protected String idleTimeout

    - #### pingInterval

          protected String pingInterval

    - #### name

          protected String name

    - #### readTimeout

          protected String readTimeout

    - #### serverGroup

          protected String serverGroup

    - #### socketBufferSize

          protected String socketBufferSize

    - #### subscriptionEnabled

          protected Boolean subscriptionEnabled

    - #### subscriptionMessageTrackingTimeout

          protected String subscriptionMessageTrackingTimeout

    - #### subscriptionAckInterval

          protected String subscriptionAckInterval

    - #### subscriptionRedundancy

          protected String subscriptionRedundancy

    - #### statisticInterval

          protected String statisticInterval

    - #### threadLocalConnections

          protected Boolean threadLocalConnections

    - #### prSingleHopEnabled

          protected Boolean prSingleHopEnabled

    - #### multiuserAuthentication

          protected Boolean multiuserAuthentication

  - ### Constructor Detail

    - #### PoolType

          public PoolType()

  - ### Method Detail

    - #### getLocators

          public List<PoolType.Locator> getLocators()

      Gets the value of the locator property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the locator property.

      For example, to add a new item, do as follows:

           getLocators().add(newItem);

      Objects of the following type(s) are allowed in the list `PoolType.Locator`

    - #### getServers

          public List<PoolType.Server> getServers()

      Gets the value of the server property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the server property.

      For example, to add a new item, do as follows:

           getServers().add(newItem);

      Objects of the following type(s) are allowed in the list `PoolType.Server`

    - #### getSubscriptionTimeoutMultiplier

          public String getSubscriptionTimeoutMultiplier()

      Gets the value of the subscriptionTimeoutMultiplier property. possible object is `String`

    - #### setSubscriptionTimeoutMultiplier

          public void setSubscriptionTimeoutMultiplier(String value)

      Sets the value of the subscriptionTimeoutMultiplier property. allowed object is `String`

    - #### getSocketConnectTimeout

          public String getSocketConnectTimeout()

      Gets the value of the socketConnectTimeout property. possible object is `String`

    - #### setSocketConnectTimeout

          public void setSocketConnectTimeout(String value)

      Sets the value of the socketConnectTimeout property. allowed object is `String`

    - #### getFreeConnectionTimeout

          public String getFreeConnectionTimeout()

      Gets the value of the freeConnectionTimeout property. possible object is `String`

    - #### setFreeConnectionTimeout

          public void setFreeConnectionTimeout(String value)

      Sets the value of the freeConnectionTimeout property. allowed object is `String`

    - #### getLoadConditioningInterval

          public String getLoadConditioningInterval()

      Gets the value of the loadConditioningInterval property. possible object is `String`

    - #### setLoadConditioningInterval

          public void setLoadConditioningInterval(String value)

      Sets the value of the loadConditioningInterval property. allowed object is `String`

    - #### getMinConnections

          public String getMinConnections()

      Gets the value of the minConnections property. possible object is `String`

    - #### setMinConnections

          public void setMinConnections(String value)

      Sets the value of the minConnections property. allowed object is `String`

    - #### getMaxConnections

          public String getMaxConnections()

      Gets the value of the maxConnections property. possible object is `String`

    - #### setMaxConnections

          public void setMaxConnections(String value)

      Sets the value of the maxConnections property. allowed object is `String`

    - #### getRetryAttempts

          public String getRetryAttempts()

      Gets the value of the retryAttempts property. possible object is `String`

    - #### setRetryAttempts

          public void setRetryAttempts(String value)

      Sets the value of the retryAttempts property. allowed object is `String`

    - #### getIdleTimeout

          public String getIdleTimeout()

      Gets the value of the idleTimeout property. possible object is `String`

    - #### setIdleTimeout

          public void setIdleTimeout(String value)

      Sets the value of the idleTimeout property. allowed object is `String`

    - #### getPingInterval

          public String getPingInterval()

      Gets the value of the pingInterval property. possible object is `String`

    - #### setPingInterval

          public void setPingInterval(String value)

      Sets the value of the pingInterval property. allowed object is `String`

    - #### getName

          public String getName()

      Gets the value of the name property. possible object is `String`

    - #### setName

          public void setName(String value)

      Sets the value of the name property. allowed object is `String`

    - #### getReadTimeout

          public String getReadTimeout()

      Gets the value of the readTimeout property. possible object is `String`

    - #### setReadTimeout

          public void setReadTimeout(String value)

      Sets the value of the readTimeout property. allowed object is `String`

    - #### getServerGroup

          public String getServerGroup()

      Gets the value of the serverGroup property. possible object is `String`

    - #### setServerGroup

          public void setServerGroup(String value)

      Sets the value of the serverGroup property. allowed object is `String`

    - #### getSocketBufferSize

          public String getSocketBufferSize()

      Gets the value of the socketBufferSize property. possible object is `String`

    - #### setSocketBufferSize

          public void setSocketBufferSize(String value)

      Sets the value of the socketBufferSize property. allowed object is `String`

    - #### isSubscriptionEnabled

          public Boolean isSubscriptionEnabled()

      Gets the value of the subscriptionEnabled property. possible object is `Boolean`

    - #### setSubscriptionEnabled

          public void setSubscriptionEnabled(Boolean value)

      Sets the value of the subscriptionEnabled property. allowed object is `Boolean`

    - #### getSubscriptionMessageTrackingTimeout

          public String getSubscriptionMessageTrackingTimeout()

      Gets the value of the subscriptionMessageTrackingTimeout property. possible object is `String`

    - #### setSubscriptionMessageTrackingTimeout

          public void setSubscriptionMessageTrackingTimeout(String value)

      Sets the value of the subscriptionMessageTrackingTimeout property. allowed object is `String`

    - #### getSubscriptionAckInterval

          public String getSubscriptionAckInterval()

      Gets the value of the subscriptionAckInterval property. possible object is `String`

    - #### setSubscriptionAckInterval

          public void setSubscriptionAckInterval(String value)

      Sets the value of the subscriptionAckInterval property. allowed object is `String`

    - #### getSubscriptionRedundancy

          public String getSubscriptionRedundancy()

      Gets the value of the subscriptionRedundancy property. possible object is `String`

    - #### setSubscriptionRedundancy

          public void setSubscriptionRedundancy(String value)

      Sets the value of the subscriptionRedundancy property. allowed object is `String`

    - #### getStatisticInterval

          public String getStatisticInterval()

      Gets the value of the statisticInterval property. possible object is `String`

    - #### setStatisticInterval

          public void setStatisticInterval(String value)

      Sets the value of the statisticInterval property. allowed object is `String`

    - #### isThreadLocalConnections

          public Boolean isThreadLocalConnections()

      Gets the value of the threadLocalConnections property. possible object is `Boolean`

    - #### setThreadLocalConnections

          public void setThreadLocalConnections(Boolean value)

      Sets the value of the threadLocalConnections property. allowed object is `Boolean`

    - #### isPrSingleHopEnabled

          public Boolean isPrSingleHopEnabled()

      Gets the value of the prSingleHopEnabled property. possible object is `Boolean`

    - #### setPrSingleHopEnabled

          public void setPrSingleHopEnabled(Boolean value)

      Sets the value of the prSingleHopEnabled property. allowed object is `Boolean`

    - #### isMultiuserAuthentication

          public Boolean isMultiuserAuthentication()

      Gets the value of the multiuserAuthentication property. possible object is `Boolean`

    - #### setMultiuserAuthentication

          public void setMultiuserAuthentication(Boolean value)

      Sets the value of the multiuserAuthentication property. allowed object is `Boolean`